## mkvtoolnix 41.0.0

=== lib/libebml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.2)

project(ebml VERSION 1.3.9)

option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)
option(ENABLE_WIN32_IO "Build the Windows I/O helper class" OFF)

include(GNUInstallDirs)

set(libebml_SOURCES
  src/Debug.cpp
  src/EbmlBinary.cpp
  src/EbmlContexts.cpp
  src/EbmlCrc32.cpp
  src/EbmlDate.cpp
  src/EbmlDummy.cpp
  src/EbmlElement.cpp
  src/EbmlFloat.cpp
  src/EbmlHead.cpp
  src/EbmlMaster.cpp
  src/EbmlSInteger.cpp
  src/EbmlStream.cpp
  src/EbmlString.cpp
  src/EbmlSubHead.cpp
  src/EbmlUInteger.cpp
  src/EbmlUnicodeString.cpp
  src/EbmlVersion.cpp
  src/EbmlVoid.cpp
  src/IOCallback.cpp
  src/MemIOCallback.cpp
  src/MemReadIOCallback.cpp
  src/SafeReadIOCallback.cpp
  src/StdIOCallback.cpp)

if(WIN32 AND ENABLE_WIN32_IO)
   list(APPEND libebml_SOURCES
     src/platform/win32/WinIOCallback.cpp)
endif()

set(libebml_PUBLIC_HEADERS
  ebml/Debug.h
  ebml/EbmlBinary.h
  ebml/EbmlConfig.h
  ebml/EbmlContexts.h
  ebml/EbmlCrc32.h
  ebml/EbmlDate.h
  ebml/EbmlDummy.h
  ebml/EbmlElement.h
  ebml/EbmlEndian.h
  ebml/EbmlFloat.h
  ebml/EbmlHead.h
  ebml/EbmlId.h
  ebml/EbmlMaster.h
  ebml/EbmlSInteger.h
  ebml/EbmlStream.h
  ebml/EbmlString.h
  ebml/EbmlSubHead.h
  ebml/EbmlTypes.h
  ebml/EbmlUInteger.h
  ebml/EbmlUnicodeString.h
  ebml/EbmlVersion.h
  ebml/EbmlVoid.h
  ebml/IOCallback.h
  ebml/MemIOCallback.h
  ebml/MemReadIOCallback.h
  ebml/SafeReadIOCallback.h
  ebml/StdIOCallback.h)

set(libebml_C_PUBLIC_HEADERS ebml/c/libebml_t.h)

add_library(ebml ${libebml_SOURCES} ${libebml_PUBLIC_HEADERS} ${libebml_C_PUBLIC_HEADERS})
if(WIN32)
  include(CheckIncludeFile)
  check_include_file(winapifamily.h HAVE_WINAPIFAMILY_H)
  if(HAVE_WINAPIFAMILY_H)
    target_compile_definitions(ebml PUBLIC HAVE_WINAPIFAMILY_H)
  endif()
endif()
set_target_properties(ebml PROPERTIES
  VERSION 4.0.0
  SOVERSION 4)
target_include_directories(ebml
  PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
if(MSVC)
  target_compile_definitions(ebml PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()

include(GenerateExportHeader)
generate_export_header(ebml EXPORT_MACRO_NAME EBML_DLL_API)
target_sources(ebml
  PRIVATE
    ${CMAKE_CURRENT_BINARY_DIR}/ebml_export.h
)

if(NOT BUILD_SHARED_LIBS)
  target_compile_definitions(ebml PUBLIC EBML_STATIC_DEFINE)
endif()

install(TARGETS ebml
  EXPORT EBMLTargets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${libebml_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml)
install(FILES ${libebml_C_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml/c)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ebml_export.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml)

if(NOT DISABLE_PKGCONFIG)
  set(prefix ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix "\$\{prefix\}")
  set(libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
  set(includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
  set(PACKAGE_VERSION ${PROJECT_VERSION})
  configure_file(libebml.pc.in libebml.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libebml.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

if(NOT DISABLE_CMAKE_CONFIG)
  set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/EBML)
  include(CMakePackageConfigHelpers)
  configure_package_config_file(EBMLConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/EBMLConfig.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  write_basic_package_version_file(EBMLConfigVersion.cmake COMPATIBILITY SameMajorVersion)
  install(EXPORT EBMLTargets NAMESPACE EBML:: DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/EBMLConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/EBMLConfigVersion.cmake
      DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
endif()

=== lib/fmt/test/CMakeLists.txt ===
#------------------------------------------------------------------------------
# Build the google test library

# We compile Google Test ourselves instead of using pre-compiled libraries.
# See the Google Test FAQ "Why is it not recommended to install a
# pre-compiled copy of Google Test (for example, into /usr/local)?"
# at http://code.google.com/p/googletest/wiki/FAQ for more details.
add_library(gmock STATIC
  gmock-gtest-all.cc gmock/gmock.h gtest/gtest.h gtest/gtest-spi.h)
target_compile_definitions(gmock PUBLIC GTEST_HAS_STD_WSTRING=1)
target_include_directories(gmock SYSTEM PUBLIC . gmock gtest)

find_package(Threads)
if (Threads_FOUND)
  target_link_libraries(gmock ${CMAKE_THREAD_LIBS_INIT})
else ()
  target_compile_definitions(gmock PUBLIC GTEST_HAS_PTHREAD=0)
endif ()

if (NOT SUPPORTS_VARIADIC_TEMPLATES)
  target_compile_definitions(gmock PUBLIC GTEST_LANG_CXX11=0)
endif ()

if (MSVC)
  # Workaround a bug in implementation of variadic templates in MSVC11.
  target_compile_definitions(gmock PUBLIC _VARIADIC_MAX=10)
  
  # Disable MSVC warnings of _CRT_INSECURE_DEPRECATE functions.
  target_compile_definitions(gmock PRIVATE _CRT_SECURE_NO_WARNINGS)
  if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    # Disable MSVC warnings of POSIX functions.
    target_compile_options(gmock PUBLIC -Wno-deprecated-declarations)
  endif ()
endif ()

# GTest doesn't detect <tuple> with clang.
if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  target_compile_definitions(gmock PUBLIC GTEST_USE_OWN_TR1_TUPLE=1)
endif ()

# Silence MSVC tr1 deprecation warning in gmock.
target_compile_definitions(gmock
  PUBLIC _SILENCE_TR1_NAMESPACE_DEPRECATION_WARNING=1)

#------------------------------------------------------------------------------
# Build the actual library tests

set(TEST_MAIN_SRC test-main.cc gtest-extra.cc gtest-extra.h util.cc)
add_library(test-main STATIC ${TEST_MAIN_SRC})
target_compile_definitions(test-main PUBLIC
  FMT_USE_FILE_DESCRIPTORS=$<BOOL:${HAVE_OPEN}>)
target_include_directories(test-main SYSTEM PUBLIC gtest gmock)
target_link_libraries(test-main gmock fmt)

include(CheckCXXCompilerFlag)

# Workaround GTest bug https://github.com/google/googletest/issues/705.
check_cxx_compiler_flag(
  -fno-delete-null-pointer-checks HAVE_FNO_DELETE_NULL_POINTER_CHECKS)
if (HAVE_FNO_DELETE_NULL_POINTER_CHECKS)
  target_compile_options(test-main PUBLIC -fno-delete-null-pointer-checks)
endif ()

# Use less strict pedantic flags for the tests because GMock doesn't compile
# cleanly with -pedantic and -std=c++98.
if (CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
    #set(PEDANTIC_COMPILE_FLAGS -Wall -Wextra -Wno-long-long -Wno-variadic-macros)
endif ()

function(add_fmt_executable name)
  add_executable(${name} ${ARGN})
  if (MINGW)
    target_link_libraries(${name} -static-libgcc -static-libstdc++)
  endif ()
endfunction()

# Adds a test.
# Usage: add_fmt_test(name srcs...)
function(add_fmt_test name)
  add_fmt_executable(${name} ${name}.cc ${ARGN})
  target_link_libraries(${name} test-main)

  # Define if certain C++ features can be used.
  if (FMT_PEDANTIC)
    target_compile_options(${name} PRIVATE ${PEDANTIC_COMPILE_FLAGS})
  endif ()
  target_include_directories(${name} SYSTEM PUBLIC gtest gmock)
  add_test(NAME ${name} COMMAND ${name})
endfunction()

add_fmt_test(assert-test)
add_fmt_test(chrono-test)
add_fmt_test(color-test)
add_fmt_test(core-test)
add_fmt_test(grisu-test)
target_compile_definitions(grisu-test PRIVATE FMT_USE_GRISU=1)
add_fmt_test(gtest-extra-test)
add_fmt_test(format-test mock-allocator.h)
if (NOT (MSVC AND BUILD_SHARED_LIBS))
  add_fmt_test(format-impl-test)
endif ()
add_fmt_test(locale-test)
add_fmt_test(ostream-test)
add_fmt_test(compile-test)
add_fmt_test(printf-test)
add_fmt_test(custom-formatter-test)
add_fmt_test(ranges-test)
add_fmt_test(scan-test)

if (HAVE_OPEN)
  add_fmt_executable(posix-mock-test
    posix-mock-test.cc ../src/format.cc ${TEST_MAIN_SRC})
  target_include_directories(
    posix-mock-test PRIVATE ${PROJECT_SOURCE_DIR}/include)
  target_compile_definitions(posix-mock-test PRIVATE FMT_USE_FILE_DESCRIPTORS=1)
  target_link_libraries(posix-mock-test gmock)
  target_include_directories(posix-mock-test SYSTEM PUBLIC gtest gmock)
  if (FMT_PEDANTIC)
    target_compile_options(posix-mock-test PRIVATE ${PEDANTIC_COMPILE_FLAGS})
  endif ()
  if (HAVE_STRTOD_L)
    target_compile_definitions(posix-mock-test PRIVATE FMT_LOCALE)
  endif ()
  add_test(NAME posix-mock-test COMMAND posix-mock-test)
  add_fmt_test(posix-test)
endif ()

add_fmt_executable(header-only-test
  header-only-test.cc header-only-test2.cc test-main.cc)
target_link_libraries(header-only-test gmock)
target_include_directories(header-only-test SYSTEM PUBLIC gtest gmock)
if (TARGET fmt-header-only)
  target_link_libraries(header-only-test fmt-header-only)
else ()
  target_include_directories(
    header-only-test PRIVATE ${PROJECT_SOURCE_DIR}/include)
  target_compile_definitions(header-only-test PRIVATE FMT_HEADER_ONLY=1)
endif ()

message(STATUS "FMT_PEDANTIC: ${FMT_PEDANTIC}")

if (FMT_PEDANTIC)
  # MSVC fails to compile GMock when C++17 is enabled.
  if (FMT_HAS_VARIANT AND NOT MSVC)
    add_fmt_test(std-format-test)
    set_property(TARGET std-format-test PROPERTY CXX_STANDARD 17)
  endif ()

  # Test that the library can be compiled with exceptions disabled.
  # -fno-exception is broken in icc: https://github.com/fmtlib/fmt/issues/822.
  if (NOT CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
    check_cxx_compiler_flag(-fno-exceptions HAVE_FNO_EXCEPTIONS_FLAG)
  endif ()
  if (HAVE_FNO_EXCEPTIONS_FLAG)
    add_library(noexception-test ../src/format.cc)
    target_include_directories(
      noexception-test PRIVATE ${PROJECT_SOURCE_DIR}/include)
    target_compile_options(noexception-test PRIVATE -fno-exceptions)
    if (FMT_PEDANTIC)
      target_compile_options(noexception-test PRIVATE ${PEDANTIC_COMPILE_FLAGS})
    endif ()
  endif ()

  # Test that the library compiles without locale.
  add_library(nolocale-test ../src/format.cc)
  target_include_directories(
    nolocale-test PRIVATE ${PROJECT_SOURCE_DIR}/include)
  target_compile_definitions(
    nolocale-test PRIVATE FMT_STATIC_THOUSANDS_SEPARATOR=1)

  # Test that the library compiles without windows.h.
  if (CMAKE_SYSTEM_NAME STREQUAL "Windows")
    add_library(no-windows-h-test ../src/format.cc)
    target_include_directories(
      no-windows-h-test PRIVATE ${PROJECT_SOURCE_DIR}/include)
    target_compile_definitions(no-windows-h-test PRIVATE FMT_USE_WINDOWS_H=0)
    if (FMT_PEDANTIC)
      target_compile_options(no-windows-h-test PRIVATE ${PEDANTIC_COMPILE_FLAGS})
    endif ()
    target_include_directories(no-windows-h-test SYSTEM PUBLIC gtest gmock)
  endif ()

  add_test(compile-error-test ${CMAKE_CTEST_COMMAND}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/compile-error-test"
    "${CMAKE_CURRENT_BINARY_DIR}/compile-error-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCMAKE_CXX_STANDARD=${CMAKE_CXX_STANDARD}"
    "-DCXX_STANDARD_FLAG=${CXX_STANDARD_FLAG}"
    "-DPEDANTIC_COMPILE_FLAGS=${PEDANTIC_COMPILE_FLAGS}"
    "-DSUPPORTS_USER_DEFINED_LITERALS=${SUPPORTS_USER_DEFINED_LITERALS}")
endif ()

# These tests are disabled on Windows because they take too long.
if (FMT_PEDANTIC AND NOT WIN32)
  # Test if the targets are found from the build directory.
  add_test(find-package-test ${CMAKE_CTEST_COMMAND}
    -C ${CMAKE_BUILD_TYPE}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/find-package-test"
    "${CMAKE_CURRENT_BINARY_DIR}/find-package-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCMAKE_CXX_STANDARD=${CMAKE_CXX_STANDARD}"
    "-DFMT_DIR=${PROJECT_BINARY_DIR}"
    "-DPEDANTIC_COMPILE_FLAGS=${PEDANTIC_COMPILE_FLAGS}"
    "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")

  # Test if the targets are found when add_subdirectory is used.
  add_test(add-subdirectory-test ${CMAKE_CTEST_COMMAND}
    -C ${CMAKE_BUILD_TYPE}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/add-subdirectory-test"
    "${CMAKE_CURRENT_BINARY_DIR}/add-subdirectory-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCMAKE_CXX_STANDARD=${CMAKE_CXX_STANDARD}"
    "-DPEDANTIC_COMPILE_FLAGS=${PEDANTIC_COMPILE_FLAGS}"
    "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")
endif ()

=== debian/changelog ===
mkvtoolnix (41.0.0-1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Now requires at least Qt 5.9.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Dec 2019 17:22:34 -0800

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 10.2),
               docbook-xsl,
               libboost-date-time-dev (>= 1.58),
               libboost-filesystem-dev (>= 1.58),
               libboost-math-dev (>= 1.58),
               libboost-regex-dev (>= 1.58),
               libbz2-dev,
               libcmark-dev (>= 0.28.3),
               libcurl4-gnutls-dev,
               libebml-dev (>= 1.3.7),
               libflac-dev,
               libfmt-dev,
               liblzo2-dev,
               libmagic-dev,
               libmatroska-dev (>= 1.5.0),
               libogg-dev,
               libpcre3-dev,
               libpugixml-dev,
               libvorbis-dev,
               nlohmann-json3-dev,
               pkg-config,
               po4a,
               qtmultimedia5-dev (>= 5.9),
               qtbase5-dev (>= 5.9),
               qttools5-dev-tools (>= 5.9),
               rake,
               ruby,
               xsltproc,
               zlib1g-dev

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libebml4v5 (>= 1.3.7), libmatroska6v5 (>= 1.5.0)
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: mkvtoolnix (<= 4.6.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible 
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS:=1
endif

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC
export QT_SELECT=5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
	--disable-update-check --enable-debug

override_dh_auto_build:
	rake -j $(NCPUS)

override_dh_clean:
	[ ! -f build-config ] || rake clean:dist

	dh_clean config.status rake.d/dependecy.d/*.rb src/input/*.d \
	config.h build-config

override_dh_install:
	rake install DESTDIR=$(CURDIR)/debian/tmp

#	cp share/desktop/org.bunkus.mkvtoolnix-gui.desktop debian/tmp/usr/share/applications

	dh_install -Xmkvtoolnix.xml

override_dh_missing:
	dh_missing --fail-missing -Xmkvtoolnix.xml

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## mkvtoolnix 42.0.0

=== debian/changelog ===
mkvtoolnix (42.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 03 Jan 2020 09:42:24 +0100

mkvtoolnix (41.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 07 Dec 2019 09:02:43 +0100

mkvtoolnix (40.0.0-3) unstable; urgency=medium

  * I forgot to comment 'exit 1' in debian/rules

 -- Christian Marillat <marillat@debian.org>  Mon, 02 Dec 2019 19:54:10 +0100

mkvtoolnix (40.0.0-2) unstable; urgency=medium

  * Install ax_boost_base.m4 file from autoconf-archive package
    (Closes: #945939)

 -- Christian Marillat <marillat@debian.org>  Mon, 02 Dec 2019 15:15:47 +0100

mkvtoolnix (40.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 09 Nov 2019 14:24:16 +0100

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12), libboost-math-dev, rake, po4a,
 libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.5.0),
 libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
 libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
 qt5-default (>= 5.9~), libboost-filesystem1.67-dev, nlohmann-json3-dev,
 xsltproc, docbook-xsl, qtmultimedia5-dev, libfmt-dev, autoconf-archive,
 libebml-dev (>= 1.3.5~), libcmark-dev (>= 0.28.3~)

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mkvtoolnix (<< 35.0.0-1)
Replaces: mkvtoolnix (<< 35.0.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

## mkvtoolnix 43.0.0

=== debian/changelog ===
mkvtoolnix (43.0.0-1~mx19+1) mx; urgency=medium

  * * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Feb 2020 16:45:47 -0800

mkvtoolnix (42.0.0-1~mx19+2) mx; urgency=medium

  * Add a Breaks for mkvtoolnix-gui for mkvtoolnix less than 35.0.0.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Jan 2020 16:26:25 -0800

mkvtoolnix (42.0.0-1~mx19+1) mx; urgency=medium

  * * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Jan 2020 13:58:27 -0800

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 10.2),
               docbook-xsl,
               libboost-date-time-dev (>= 1.58),
               libboost-filesystem-dev (>= 1.58),
               libboost-math-dev (>= 1.58),
               libboost-regex-dev (>= 1.58),
               libbz2-dev,
               libcmark-dev (>= 0.28.3),
               libcurl4-gnutls-dev,
               libebml-dev (>= 1.3.7),
               libflac-dev,
               libfmt-dev,
               liblzo2-dev,
               libmagic-dev,
               libmatroska-dev (>= 1.5.0),
               libogg-dev,
               libpcre3-dev,
               libpugixml-dev,
               libvorbis-dev,
               nlohmann-json3-dev,
               pkg-config,
               po4a,
               qtmultimedia5-dev (>= 5.9),
               qtbase5-dev (>= 5.9),
               qttools5-dev-tools (>= 5.9),
               rake,
               ruby,
               xsltproc,
               zlib1g-dev

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libebml4v5 (>= 1.3.7), libmatroska6v5 (>= 1.5.0)
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: mkvtoolnix (<= 4.6.0-1)
Breaks: mkvtoolnix (<< 35.0.0)
Conflicts: mkvtoolnix (<< 35.0.0)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible 
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

## mkvtoolnix 44.0.0

=== debian/changelog ===
mkvtoolnix (44.0.0-1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 28 Mar 2020 11:23:32 -0700

## mkvtoolnix 45.0.0

=== lib/libebml/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1.2)
 
-project(ebml VERSION 1.3.9)
+project(ebml VERSION 1.3.10)
 
 option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
 option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)

=== debian/changelog ===
mkvtoolnix (45.0.0-2) unstable; urgency=medium

  * Don't Build-Depends on a boost version (CLoses: #956038)

 -- Christian Marillat <marillat@debian.org>  Mon, 06 Apr 2020 15:57:30 +0200

mkvtoolnix (45.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 04 Apr 2020 16:40:38 +0200

mkvtoolnix (44.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 25 Mar 2020 14:26:23 +0100

mkvtoolnix (43.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Set Standards-Version to 4.5.0 (No chnages).

 -- Christian Marillat <marillat@debian.org>  Sun, 26 Jan 2020 17:28:50 +0100

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12), libboost-math-dev, rake, po4a,
 libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.5.0),
 libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
 libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
 qt5-default (>= 5.9~), libboost-filesystem-dev, nlohmann-json3-dev,
 xsltproc, docbook-xsl, qtmultimedia5-dev, libfmt-dev, autoconf-archive,
 libebml-dev (>= 1.3.5~), libcmark-dev (>= 0.28.3~)

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mkvtoolnix (<< 35.0.0-1)
Replaces: mkvtoolnix (<< 35.0.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,21 @@
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC
-export QT_SELECT=5
 
 %:
 	dh $@
+
+override_dh_autoreconf:
+	cp /usr/share/aclocal/ax_boost_base.m4 ac
+
+	dh_autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
 	--disable-update-check --enable-debug
+
+#	exit 1
 
 override_dh_auto_build:
 	rake -j $(NCPUS)
@@ -25,7 +31,7 @@
 	[ ! -f build-config ] || rake clean:dist
 
 	dh_clean config.status rake.d/dependecy.d/*.rb src/input/*.d \
-	config.h build-config
+	config.h build-config ac/ax_boost_base.m4
 
 override_dh_install:
 	rake install DESTDIR=$(CURDIR)/debian/tmp
@@ -36,6 +42,3 @@
 
 override_dh_missing:
 	dh_missing --fail-missing -Xmkvtoolnix.xml
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## mkvtoolnix 46.0.0

=== debian/changelog ===
mkvtoolnix (46.0.0-1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 May 2020 08:44:34 -0700

mkvtoolnix (45.0.0-1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 14 Apr 2020 12:23:21 -0700

## mkvtoolnix 47.0.0

=== debian/changelog ===
mkvtoolnix (47.0.0-1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Add libutfcpp-dev and libdvdread-dev to Build-Depends.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 31 May 2020 06:49:36 -0700

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS:=1
endif

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC
export QT_SELECT=5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
	--disable-update-check --enable-debug

override_dh_auto_build:
	rake -j $(NCPUS)

override_dh_clean:
	[ ! -f build-config ] || rake clean:dist

	dh_clean config.status rake.d/dependecy.d/*.rb src/input/*.d \

override_dh_install:
	rake install DESTDIR=$(CURDIR)/debian/tmp
	dh_install -Xmkvtoolnix.xml

override_dh_missing:
	dh_missing --fail-missing -Xmkvtoolnix.xml

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## mkvtoolnix 48.0.0

=== debian/changelog ===
mkvtoolnix (48.0.0-1~mx19+2) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 28 Jun 2020 06:42:35 -0700

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 10.2),
               docbook-xsl,
               libboost-date-time-dev (>= 1.58),
               libboost-filesystem-dev (>= 1.58),
               libboost-math-dev (>= 1.58),
               libboost-regex-dev (>= 1.58),
               libbz2-dev,
               libcmark-dev (>= 0.28.3),
               libcurl4-gnutls-dev,
               libdvdread-dev,
               libebml-dev (>= 1.3.7),
               libflac-dev,
               libfmt-dev,
               liblzo2-dev,
               libmagic-dev,
               libmatroska-dev (>= 1.5.0),
               libogg-dev,
               libpcre3-dev,
               libpugixml-dev,
               libutfcpp-dev,
               libvorbis-dev,
               nlohmann-json3-dev,
               pkg-config,
               po4a,
               qtmultimedia5-dev (>= 5.9),
               qtbase5-dev (>= 5.9),
               qttools5-dev-tools (>= 5.9),
               rake,
               ruby,
               xsltproc,
               zlib1g-dev

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libebml4v5 (>= 1.3.7), libmatroska6v5 (>= 1.5.0)
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: mkvtoolnix (<= 4.6.0-1)
Breaks: mkvtoolnix (<< 35.0.0)
Conflicts: mkvtoolnix (<< 35.0.0)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible 
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

## mkvtoolnix 49.0.0

=== lib/libmatroska/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.2)

project(matroska VERSION 1.6.0)

option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)

find_package(EBML 1.4.0 REQUIRED)

include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(libmatroska_SOURCES
  src/FileKax.cpp
  src/KaxAttached.cpp
  src/KaxAttachments.cpp
  src/KaxBlock.cpp
  src/KaxBlockData.cpp
  src/KaxCluster.cpp
  src/KaxContexts.cpp
  src/KaxCues.cpp
  src/KaxCuesData.cpp
  src/KaxInfoData.cpp
  src/KaxSeekHead.cpp
  src/KaxSegment.cpp
  src/KaxSemantic.cpp
  src/KaxTracks.cpp
  src/KaxVersion.cpp)

set(libmatroska_PUBLIC_HEADERS
  matroska/FileKax.h
  matroska/KaxAttached.h
  matroska/KaxAttachments.h
  matroska/KaxBlockData.h
  matroska/KaxBlock.h
  matroska/KaxChapters.h
  matroska/KaxClusterData.h
  matroska/KaxCluster.h
  matroska/KaxConfig.h
  matroska/KaxContentEncoding.h
  matroska/KaxContexts.h
  matroska/KaxCuesData.h
  matroska/KaxCues.h
  matroska/KaxDefines.h
  matroska/KaxInfoData.h
  matroska/KaxInfo.h
  matroska/KaxSeekHead.h
  matroska/KaxSegment.h
  matroska/KaxSemantic.h
  matroska/KaxTag.h
  matroska/KaxTags.h
  matroska/KaxTrackAudio.h
  matroska/KaxTrackEntryData.h
  matroska/KaxTracks.h
  matroska/KaxTrackVideo.h
  matroska/KaxTypes.h
  matroska/KaxVersion.h)

set (libmatroska_C_PUBLIC_HEADERS
  matroska/c/libmatroska.h
  matroska/c/libmatroska_t.h)

add_library(matroska ${libmatroska_SOURCES} ${libmatroska_PUBLIC_HEADERS} ${libmatroska_C_PUBLIC_HEADERS})
target_link_libraries(matroska PUBLIC EBML::ebml)
set_target_properties(matroska PROPERTIES
  VERSION 7.0.0
  SOVERSION 7
  CXX_VISIBILITY_PRESET hidden
  VISIBILITY_INLINES_HIDDEN ON
)
target_include_directories(matroska
  PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
	PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
if(MSVC)
  target_compile_definitions(matroska PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()

include(GenerateExportHeader)
generate_export_header(matroska EXPORT_MACRO_NAME MATROSKA_DLL_API)
target_sources(matroska
  PRIVATE
    ${CMAKE_CURRENT_BINARY_DIR}/matroska_export.h
)

if(NOT BUILD_SHARED_LIBS)
  target_compile_definitions(matroska PUBLIC MATROSKA_STATIC_DEFINE)
endif()

install(TARGETS matroska
  EXPORT MatroskaTargets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${libmatroska_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska)
install(FILES ${libmatroska_C_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska/c)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/matroska_export.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska)

if(NOT DISABLE_PKGCONFIG)
  set(prefix ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix "\$\{prefix\}")
  set(libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
  set(includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
  set(PACKAGE_VERSION ${PROJECT_VERSION})
  configure_file(libmatroska.pc.in libmatroska.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libmatroska.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

if(NOT DISABLE_CMAKE_CONFIG)
  set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/Matroska)
  include(CMakePackageConfigHelpers)
  configure_package_config_file(MatroskaConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/MatroskaConfig.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  write_basic_package_version_file(MatroskaConfigVersion.cmake COMPATIBILITY SameMajorVersion)
  install(EXPORT MatroskaTargets NAMESPACE Matroska:: DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/MatroskaConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/MatroskaConfigVersion.cmake
    DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
endif()

=== debian/changelog ===
mkvtoolnix (49.0.0-2) unstable; urgency=medium

  * Minimum libmastroska to build is 1.6.1 (Set to 1.6.2)

 -- Christian Marillat <marillat@debian.org>  Tue, 11 Aug 2020 18:54:31 +0200

mkvtoolnix (49.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 02 Aug 2020 21:19:35 +0200

mkvtoolnix (48.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Minimum libmastroska to build is 1.6.0

 -- Christian Marillat <marillat@debian.org>  Sun, 28 Jun 2020 09:43:25 +0200

mkvtoolnix (47.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add libutfcpp-dev and libdvdread-dev to Build-Depends.

 -- Christian Marillat <marillat@debian.org>  Sat, 30 May 2020 15:50:59 +0200

mkvtoolnix (46.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 01 May 2020 14:09:23 +0200

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
 libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.6.2~),
 libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
 libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
 qt5-default (>= 5.9~), libboost-filesystem-dev, nlohmann-json3-dev,
 xsltproc, docbook-xsl, qtmultimedia5-dev, libfmt-dev (>= 6.1.0),
 autoconf-archive, libcmark-dev (>= 0.28.3~), libdvdread-dev, libutfcpp-dev

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mkvtoolnix (<< 35.0.0-1)
Replaces: mkvtoolnix (<< 35.0.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

## mkvtoolnix 50.0.0

=== debian/changelog ===
mkvtoolnix (50.0.0-1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Add libpcre2-dev to build depends.
  * Drop libebml-dev from build-depends, since libmatroska-dev pulls it in.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 16 Sep 2020 14:53:38 -0700

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 10.2),
               docbook-xsl,
               libboost-date-time-dev (>= 1.58),
               libboost-filesystem-dev (>= 1.58),
               libboost-math-dev (>= 1.58),
               libboost-regex-dev (>= 1.58),
               libbz2-dev,
               libcmark-dev (>= 0.28.3),
               libcurl4-gnutls-dev,
               libdvdread-dev,
               libflac-dev,
               libfmt-dev,
               liblzo2-dev,
               libmagic-dev,
               libmatroska-dev (>= 1.6.2~),
               libogg-dev,
               libpcre2-dev,
               libpcre3-dev,
               libpugixml-dev,
               libutfcpp-dev,
               libvorbis-dev,
               nlohmann-json3-dev,
               pkg-config,
               po4a,
               qtbase5-dev (>= 5.9),
               qtmultimedia5-dev (>= 5.9),
               qttools5-dev-tools (>= 5.9),
               rake,
               ruby,
               xsltproc,
               zlib1g-dev

Package: mkvtoolnix
Architecture: any
Depends: libmatroska7 (>= 1.6.2~), libebml5 (>= 1.4.0~),
         ${misc:Depends}, ${shlibs:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: mkvtoolnix (<= 4.6.0-1)
Breaks: mkvtoolnix (<< 35.0.0)
Conflicts: mkvtoolnix (<< 35.0.0)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

## mkvtoolnix 51.0.0

=== debian/changelog ===
mkvtoolnix (51.0.0-3) unstable; urgency=medium

  * Fix FTCBFS with ruby (Closes: #972237)

 -- Christian Marillat <marillat@debian.org>  Tue, 20 Oct 2020 11:21:32 +0200

mkvtoolnix (51.0.0-2) unstable; urgency=medium

  * Relpaces qt5-default by qtbase5-dev in Build-Depends (Closes: #972165).

 -- Christian Marillat <marillat@debian.org>  Tue, 13 Oct 2020 17:17:10 +0200

mkvtoolnix (51.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add a version to libpcre2-dev (>= 10.32.1~) in Build-Depends.

 -- Christian Marillat <marillat@debian.org>  Sun, 04 Oct 2020 15:19:10 +0200

mkvtoolnix (50.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add libpcre2-dev to Build-Depends

 -- Christian Marillat <marillat@debian.org>  Sun, 06 Sep 2020 16:35:58 +0200

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
 libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.6.2~),
 libogg-dev, libpcre3-dev, libvorbis-dev, ruby:any, liblzo2-dev, zlib1g-dev,
 libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
 qtbase5-dev, libboost-filesystem-dev, nlohmann-json3-dev, xsltproc,
 docbook-xsl, qtmultimedia5-dev, libfmt-dev (>= 6.1.0), autoconf-archive,
 libcmark-dev (>= 0.28.3~), libdvdread-dev, libutfcpp-dev,
 libpcre2-dev (>= 10.32.1~)

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mkvtoolnix (<< 35.0.0-1)
Replaces: mkvtoolnix (<< 35.0.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

## mkvtoolnix 52.0.0

=== debian/changelog ===
mkvtoolnix (52.0.0-2) unstable; urgency=medium

  * Update libebml-dev build dependecy to 1.4.1

 -- Christian Marillat <marillat@debian.org>  Thu, 28 Jan 2021 00:26:25 +0100

mkvtoolnix (52.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 05 Jan 2021 08:26:34 +0100
